--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cpio_002_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cpio_002_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -27,17 +27,21 @@
 # Copyright (c) 2012 by Marcelo Leal. All rights reserved.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
 # DESCRIPTION:
-# Verify that '$CPIO' command with -P@ option supports to archive ZFS ACLs
+# Verify that 'cpio' command with -P@ option supports to archive ZFS ACLs
 #
 # STRATEGY:
 # 1. Create file and directory in zfs filesystem
 # 2. Add new ACE in ACL or change mode of file and directory
 # 3. Create xattr of the file and directory
-# 4. Use $CPIO to archive file and directory
+# 4. Use cpio to archive file and directory
 # 5. Extract the archive file
 # 6. Verify that the restored ACLs of file and directory identify
 #    with the origional ones.
@@ -48,16 +52,16 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	fi
 	if (( ${#orig_dir} != 0 )); then
 		cd $orig_dir
 	fi
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
-log_assert "Verify that '$CPIO' command supports to archive ZFS ACLs & xattrs."
+log_assert "Verify that 'cpio' command supports to archive ZFS ACLs & xattrs."
 log_onexit cleanup
 
 set -A ops "A+user:$ZFS_ACL_OTHER1:execute:allow" \
@@ -68,9 +72,9 @@
 	"A1=group:$ZFS_ACL_STAFF_GROUP:write_data:deny"
 
 log_note "Create second zfs file system to restore the cpio archive."
-log_must $ZFS create $TESTPOOL/$TESTFS1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
-log_must $CHMOD 777 $TESTDIR1
+log_must zfs create $TESTPOOL/$TESTFS1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
+log_must chmod 777 $TESTDIR1
 
 # Define test fine and record the original directory.
 CPIOFILE=cpiofile.$$
@@ -89,27 +93,27 @@
 		log_note "Create file $file and directory $dir " \
 			"in zfs filesystem. "
 		cd $TESTDIR
-		log_must usr_exec $TOUCH $file
-		log_must usr_exec $MKDIR $dir
-		log_must usr_exec $RUNAT $file $CP $mytestfile attr.0
-		log_must usr_exec $RUNAT $dir $CP $mytestfile attr.0
+		log_must usr_exec touch $file
+		log_must usr_exec mkdir $dir
+		log_must usr_exec runat $file cp $mytestfile attr.0
+		log_must usr_exec runat $dir cp $mytestfile attr.0
 
 		log_note "Change the ACLs of file and directory with " \
-			"'$CHMOD ${ops[i]}'."
+			"'chmod ${ops[i]}'."
 		for obj in $file $dir; do
-			log_must usr_exec $CHMOD ${ops[i]} $obj
+			log_must usr_exec chmod ${ops[i]} $obj
 		done
 
 		log_note "Archive the file and directory."
 		cd $TESTDIR
-		log_must eval "usr_exec $LS | " \
-			"usr_exec $CPIO -ocP@ -O $CPIOFILE > /dev/null 2>&1"
+		log_must eval "usr_exec ls | " \
+			"usr_exec cpio -ocP@ -O $CPIOFILE > /dev/null 2>&1"
 
 		log_note "Restore the cpio archive."
-		log_must usr_exec $MV $CPIOFILE $TESTDIR1
+		log_must usr_exec mv $CPIOFILE $TESTDIR1
 		cd $TESTDIR1
-		log_must eval "usr_exec $CAT $CPIOFILE | " \
-			"usr_exec $CPIO -icP@ > /dev/null 2>&1"
+		log_must eval "usr_exec cat $CPIOFILE | " \
+			"usr_exec cpio -icP@ > /dev/null 2>&1"
 
 		log_note "Verify that the ACLs of restored file/directory " \
 			"have no changes."
@@ -119,10 +123,10 @@
 			log_must compare_xattrs $TESTDIR/$obj $TESTDIR1/$obj
 		done
 
-		log_must usr_exec $RM -rf $TESTDIR/* $TESTDIR1/*
+		log_must usr_exec rm -rf $TESTDIR/* $TESTDIR1/*
 
 		(( i = i + 1 ))
 	done
 done
 
-log_pass "'$CPIO' command succeeds to support ZFS ACLs & xattrs."
+log_pass "'cpio' command succeeds to support ZFS ACLs & xattrs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_find_001_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_find_001_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -33,14 +33,14 @@
 
 #
 # DESCRIPTION:
-# Verify that '$FIND' command with '-ls' and '-acl' options supports ZFS ACL
+# Verify that 'find' command with '-ls' and '-acl' options supports ZFS ACL
 #
 # STRATEGY:
 # 1. Create 5 files and 5 directories in zfs filesystem
 # 2. Select a file or directory and add a few ACEs to it
-# 3. Use $FIND -ls to check the "+" existen only with the selected file or
+# 3. Use find -ls to check the "+" existen only with the selected file or
 #    directory
-# 4. Use $FIND -acl to check only the selected file/directory in the list
+# 4. Use find -acl to check only the selected file/directory in the list
 #
 
 verify_runnable "both"
@@ -47,9 +47,9 @@
 
 function cleanup
 {
-	[[ -d $TESTDIR ]] && $RM -rf $TESTDIR/*
+	[[ -d $TESTDIR ]] && rm -rf $TESTDIR/*
 	(( ${#cmd} != 0 )) && cd $cwd
-	(( ${#mask} != 0 )) && $UMASK $mask
+	(( ${#mask} != 0 )) && umask $mask
 }
 
 function find_ls_acl #<opt> <obj>
@@ -59,9 +59,9 @@
 	typeset rst_str=""
 
 	if [[ $opt == "ls" ]]; then
-		rst_str=`$FIND . -ls | $GREP "+" | $AWK '{print $11}'`
+		rst_str=`find . -ls | grep "+" | awk '{print $11}'`
 	else
-		rst_str=`$FIND . -acl`
+		rst_str=`find . -acl`
 	fi
 
 	if [[ $rst_str == "./$obj" ]]; then
@@ -71,7 +71,7 @@
 	fi
 }
 
-log_assert "Verify that '$FIND' command supports ZFS ACLs."
+log_assert "Verify that 'find' command supports ZFS ACLs."
 
 log_onexit cleanup
 
@@ -81,16 +81,16 @@
 f_base=testfile.$$ # Base file name for tested files
 d_base=testdir.$$ # Base directory name for tested directory
 cwd=$PWD
-mask=`$UMASK`
+mask=`umask`
 
 log_note "Create five files and directories in the zfs filesystem. "
 cd $TESTDIR
-$UMASK 0777
+umask 0777
 typeset -i i=0
 while ((i < 5))
 do
-	log_must $TOUCH ${f_base}.$i
-	log_must $MKDIR ${d_base}.$i
+	log_must touch ${f_base}.$i
+	log_must mkdir ${d_base}.$i
 
 	((i = i + 1))
 done
@@ -100,7 +100,7 @@
 	i=0
 	while ((i < ${#ops[*]}))
 	do
-		log_must $CHMOD ${ops[i]} $obj
+		log_must chmod ${ops[i]} $obj
 
 		((i = i + 1))
 	done
@@ -120,10 +120,10 @@
 	i=0
 	while ((i < ${#ops[*]}))
 	do
-		log_must $CHMOD A0- $obj
+		log_must chmod A0- $obj
 
 		((i = i + 1))
 	done
 done
 
-log_pass "'$FIND' command succeeds to support ZFS ACLs."
+log_pass "'find' command succeeds to support ZFS ACLs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_ls_001_pos.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_ls_001_pos.ksh	Wed Aug 31 16:20:23 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -45,11 +49,11 @@
 function cleanup
 {
 	(( ${#cwd} != 0 )) && cd $cwd
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
-	(( ${#mask} != 0 )) && log_must $UMASK $mask
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR/*
+	(( ${#mask} != 0 )) && log_must umask $mask
 }
 
-log_assert "Verify that '$LS' command supports ZFS ACLs."
+log_assert "Verify that 'ls' command supports ZFS ACLs."
 
 log_onexit cleanup
 
@@ -56,17 +60,17 @@
 file=$TESTFILE0
 dir=dir.$$
 cwd=$PWD
-mask=`$UMASK`
+mask=`umask`
 spec_ace="everyone@:write_acl:allow"
 
-$UMASK 0022
+umask 0022
 
 log_note "Create file and directory in the zfs filesystem. "
 cd $TESTDIR
-log_must $TOUCH $file
-log_must $MKDIR $dir
+log_must touch $file
+log_must mkdir $dir
 
-log_note "Verify that '$LS [-dv]' can list file/directory ACEs of its acl."
+log_note "Verify that 'ls [-dv]' can list file/directory ACEs of its acl."
 
 typeset -i ace_num=0
 for obj in $file $dir
@@ -73,33 +77,33 @@
 do
 	typeset ls_str=""
 	if [[ -f $obj ]]; then
-		ls_str="$LS -v"
+		ls_str="ls -v"
 	else
-		ls_str="$LS -dv"
+		ls_str="ls -dv"
 	fi
 
 	for ace_type in "owner@" "group@" "everyone@"
 	do
-		$ls_str $obj | $GREP $ace_type > /dev/null 2>&1
+		$ls_str $obj | grep $ace_type > /dev/null 2>&1
 		(( $? == 0 )) && (( ace_num += 1 ))
 	done
 
 	(( ace_num < 1 )) && \
-		log_fail "'$LS [-dv] fails to list file/directroy acls."
+		log_fail "'ls [-dv] fails to list file/directroy acls."
 done
 
-log_note "Verify that '$LS [-dl] [-dv]' can output '+' to indicate " \
+log_note "Verify that 'ls [-dl] [-dv]' can output '+' to indicate " \
 	"the acl existent."
 
 for obj in $file $dir
 do
-	$CHMOD A0+$spec_ace $obj
+	chmod A0+$spec_ace $obj
 
-	log_must eval "$LS -ld -vd $obj | $GREP "+" > /dev/null"
+	log_must eval "ls -ld -vd $obj | grep "+" > /dev/null"
 	log_must plus_sign_check_v $obj
 
-	log_must eval "$LS -ld -vd $obj | $GREP $spec_ace > /dev/null"
+	log_must eval "ls -ld -vd $obj | grep $spec_ace > /dev/null"
 	log_must plus_sign_check_l $obj
 done
 
-log_pass "'$LS' command succeeds to support ZFS ACLs."
+log_pass "'ls' command succeeds to support ZFS ACLs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_mv_001_pos.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_mv_001_pos.ksh	Wed Aug 31 16:20:23 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -42,9 +47,9 @@
 function cleanup
 {
 	(( ${#cwd} != 0 )) && cd $cwd
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1
-	(( ${#mask} != 0 )) && log_must $UMASK $mask
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1
+	(( ${#mask} != 0 )) && log_must umask $mask
 }
 
 function testing_mv #<flag for file|dir> <file1|dir1> <file2|dir2>
@@ -63,11 +68,11 @@
 		orig_acl="$(get_acl ${obj[i]})"
 		orig_mode="$(get_mode ${obj[i]})"
 		if (( i < 1 )); then
-			log_must $MV ${obj[i]} $dst_file
+			log_must mv ${obj[i]} $dst_file
 			dst_acl=$(get_acl $dst_file)
 			dst_mode=$(get_mode $dst_file)
 		else
-			log_must $MV ${obj[i]} $TESTDIR1
+			log_must mv ${obj[i]} $TESTDIR1
 			dst_acl=$(get_acl $TESTDIR1/${obj[i]})
 			dst_mode=$(get_mode $TESTDIR1/${obj[i]})
 		fi
@@ -74,7 +79,7 @@
 
 		if [[ "$dst_mode" != "$orig_mode" ]] || \
 			[[ "$dst_acl" != "$orig_acl" ]]; then
-			log_fail "$MV fails to keep the acl for file."
+			log_fail "mv fails to keep the acl for file."
 		fi
 
 		(( i = i + 1 ))
@@ -92,13 +97,13 @@
 		orig_nested_acl=$(get_acl ${obj[i]}/$nestedfile)
 		orig_nested_mode=$(get_mode ${obj[i]}/$nestedfile)
 		if (( i < 1 )); then
-			log_must $MV ${obj[i]} $dst_dir
+			log_must mv ${obj[i]} $dst_dir
 			dst_acl=$(get_acl $dst_dir)
 			dst_mode=$(get_mode $dst_dir)
 			dst_nested_acl=$(get_acl $dst_dir/$nestedfile)
 			dst_nested_mode=$(get_mode $dst_dir/$nestedfile)
 		else
-			log_must $MV ${obj[i]} $TESTDIR1
+			log_must mv ${obj[i]} $TESTDIR1
 			dst_acl=$(get_acl $TESTDIR1/${obj[i]})
 			dst_mode=$(get_mode $TESTDIR1/${obj[i]})
 			dst_nested_acl=$(get_acl \
@@ -111,7 +116,7 @@
 		   [[ "$orig_acl" != "$dst_acl" ]] || \
 		   [[ "$dst_nested_mode" != "$orig_nested_mode" ]] || \
 		   [[ "$dst_nested_acl" != "$orig_nested_acl" ]]; then
-			log_fail "$MV fails to recursively keep the acl for " \
+			log_fail "mv fails to recursively keep the acl for " \
 				"directory."
 		fi
 
@@ -120,7 +125,7 @@
 	fi
 }
 
-log_assert "Verify that '$MV' supports ZFS ACLs."
+log_assert "Verify that 'mv' supports ZFS ACLs."
 
 log_onexit cleanup
 
@@ -131,8 +136,8 @@
 dst_file=dstfile.$$
 dst_dir=dstdir.$$
 cwd=$PWD
-mask=`$UMASK`
-$UMASK 0022
+mask=`umask`
+umask 0022
 
 #
 # This assertion should only test 'mv' within the same filesystem
@@ -140,7 +145,7 @@
 TESTDIR1=$TESTDIR/testdir1$$
 
 [[ ! -d $TESTDIR1 ]] && \
-	log_must $MKDIR -p $TESTDIR1
+	log_must mkdir -p $TESTDIR1
 
 log_note "Create files and directories and set special ace on them for testing. "
 cd $TESTDIR
@@ -147,8 +152,8 @@
 typeset -i i=0
 while (( i < ${#orig_file[*]} ))
 do
-	log_must $TOUCH ${orig_file[i]}
-	log_must $CHMOD A0+$spec_ace ${orig_file[i]}
+	log_must touch ${orig_file[i]}
+	log_must chmod A0+$spec_ace ${orig_file[i]}
 
 	(( i = i + 1 ))
 done
@@ -155,11 +160,11 @@
 i=0
 while (( i < ${#orig_dir[*]} ))
 do
-	log_must $MKDIR ${orig_dir[i]}
-	log_must $TOUCH ${orig_dir[i]}/$nestedfile
+	log_must mkdir ${orig_dir[i]}
+	log_must touch ${orig_dir[i]}/$nestedfile
 
 	for obj in ${orig_dir[i]} ${orig_dir[i]}/$nestedfile; do
-		log_must $CHMOD A0+$spec_ace $obj
+		log_must chmod A0+$spec_ace $obj
 	done
 
 	(( i = i + 1 ))
@@ -168,4 +173,4 @@
 testing_mv "f" ${orig_file[0]} ${orig_file[1]}
 testing_mv "d" ${orig_dir[0]} ${orig_dir[1]}
 
-log_pass "'$MV' succeeds to support ZFS ACLs."
+log_pass "'mv' succeeds to support ZFS ACLs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_tar_001_pos.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_tar_001_pos.ksh	Wed Aug 31 16:20:23 2016
@@ -26,16 +26,21 @@
 #
 # Copyright (c) 2012 by Marcelo Leal. All rights reserved.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
 # DESCRIPTION:
-# Verify that '$TAR' command with -p option supports to archive ZFS ACLs
+# Verify that 'tar' command with -p option supports to archive ZFS ACLs
 #
 # STRATEGY:
 # 1. Create file and directory in zfs filesystem
 # 2. Add new ACE in ACL of file and directory
-# 3. Use $TAR to archive file and directory
+# 3. Use tar to archive file and directory
 # 4. Extract the archive file
 # 5. Verify that the restored ACLs of file and directory identify
 #    with the origional ones.
@@ -46,15 +51,15 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	fi
 
 	(( ${#cwd} != 0 )) && cd $cwd
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1
-	[[ -d $TESTDIR/ ]] && log_must $RM -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1
+	[[ -d $TESTDIR/ ]] && log_must rm -rf $TESTDIR/*
 }
 
-log_assert "Verify that '$TAR' command supports to archive ZFS ACLs."
+log_assert "Verify that 'tar' command supports to archive ZFS ACLs."
 
 log_onexit cleanup
 
@@ -66,32 +71,32 @@
 cwd=$PWD
 
 log_note "Create second zfs file system to restore the tar archive."
-log_must $ZFS create $TESTPOOL/$TESTFS1
+log_must zfs create $TESTPOOL/$TESTFS1
 [[ ! -d $TESTDIR1 ]] && \
-	log_must $MKDIR -p $TESTDIR1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
+	log_must mkdir -p $TESTDIR1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
 
 log_note "Create a file: $file, and directory: $dir, in zfs filesystem. "
 cd $TESTDIR
-log_must $TOUCH $file
-log_must $MKDIR $dir
+log_must touch $file
+log_must mkdir $dir
 
 typeset -i i=0
 while (( i < ${#ops[*]} ))
 do
 	log_note "Change the ACLs of file and directory with " \
-		"'$CHMOD ${ops[i]}'."
+		"'chmod ${ops[i]}'."
 	cd $TESTDIR
 	for obj in $file $dir; do
-		log_must $CHMOD ${ops[i]} $obj
+		log_must chmod ${ops[i]} $obj
 	done
 	log_note "Archive the file and directory."
-	log_must $TAR cpf $TARFILE $file $dir
+	log_must tar cpf $TARFILE $file $dir
 
 	log_note "Restore the tar archive."
-	log_must $MV $TARFILE $TESTDIR1
+	log_must mv $TARFILE $TESTDIR1
 	cd $TESTDIR1
-	log_must $TAR xpf $TARFILE
+	log_must tar xpf $TARFILE
 
 	log_note "Verify the ACLs of restored file/directory have no changes."
 	for obj in $file $dir; do
@@ -99,9 +104,9 @@
 		log_must compare_acls $TESTDIR/$obj $TESTDIR1/$obj
 	done
 
-	log_must $RM -rf $TESTDIR1/*
+	log_must rm -rf $TESTDIR1/*
 
 	(( i = i + 1 ))
 done
 
-log_pass "'$TAR' command succeeds to support ZFS ACLs."
+log_pass "'tar' command succeeds to support ZFS ACLs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_tar_002_pos.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_tar_002_pos.ksh	Wed Aug 31 16:20:23 2016
@@ -27,11 +27,15 @@
 # Copyright (c) 2012 by Marcelo Leal. All rights reserved.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
 # DESCRIPTION:
-# Verify that '$TAR' command with -p@ option supports to archive ZFS ACLs
+# Verify that 'tar' command with -p@ option supports to archive ZFS ACLs
 #	& xattrs
 #
 # STRATEGY:
@@ -38,8 +42,8 @@
 # 1. Create file and directory in zfs filesystem
 # 2. Add new ACE in ACL of file and directory
 # 3. Create xattr of the file and directory
-# 4. Use $TAR cf@ to archive file and directory
-# 5. Use $TAR xf@ to extract the archive file
+# 4. Use tar cf@ to archive file and directory
+# 5. Use tar xf@ to extract the archive file
 # 6. Verify that the restored ACLs & xttrs of file and directory identify
 #    with the origional ones.
 #
@@ -49,15 +53,15 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	fi
 
 	(( ${#cwd} != 0 )) && cd $cwd
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1
-	[[ -d $TESTDIR/ ]] && log_must $RM -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1
+	[[ -d $TESTDIR/ ]] && log_must rm -rf $TESTDIR/*
 }
 
-log_assert "Verify that '$TAR' command supports to archive ZFS ACLs & xattrs."
+log_assert "Verify that 'tar' command supports to archive ZFS ACLs & xattrs."
 
 log_onexit cleanup
 
@@ -69,10 +73,10 @@
 cwd=$PWD
 
 log_note "Create second zfs file system to restore the tar archive."
-log_must $ZFS create $TESTPOOL/$TESTFS1
+log_must zfs create $TESTPOOL/$TESTFS1
 [[ ! -d $TESTDIR1 ]] && \
-	log_must $MKDIR -p $TESTDIR1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
+	log_must mkdir -p $TESTDIR1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
 
 log_note "Create a file: $testfile, and directory: $testdir, in zfs " \
     "filesystem. And prepare for there xattr files."
@@ -83,24 +87,24 @@
 
 	# Create source object and target directroy
 	cd $TESTDIR
-	log_must usr_exec $TOUCH $testfile
-	log_must usr_exec $MKDIR $testdir
+	log_must usr_exec touch $testfile
+	log_must usr_exec mkdir $testdir
 
-	log_must usr_exec $RUNAT $testfile $CP $mytestfile attr.0
-	log_must usr_exec $RUNAT $testdir $CP $mytestfile attr.0
+	log_must usr_exec runat $testfile cp $mytestfile attr.0
+	log_must usr_exec runat $testdir cp $mytestfile attr.0
 
 	# Add the new ACE on the head.
 	log_note "Change the ACLs of file and directory with " \
-		"'$CHMOD ${ops[0]}'."
-	log_must usr_exec $CHMOD ${ops[0]} $testfile
-	log_must usr_exec $CHMOD ${ops[0]} $testdir
+		"'chmod ${ops[0]}'."
+	log_must usr_exec chmod ${ops[0]} $testfile
+	log_must usr_exec chmod ${ops[0]} $testdir
 
 	log_note "Archive the file and directory."
-	log_must $TAR cpf@ $TARFILE ${testfile#$TESTDIR/} ${testdir#$TESTDIR/}
+	log_must tar cpf@ $TARFILE ${testfile#$TESTDIR/} ${testdir#$TESTDIR/}
 
 	log_note "Restore the tar archive."
 	cd $TESTDIR1
-	log_must $TAR xpf@ $TESTDIR/$TARFILE
+	log_must tar xpf@ $TESTDIR/$TARFILE
 
 	log_note "Verify the ACLs of restored file/directory have no changes."
 	for obj in $testfile $testdir; do
@@ -109,7 +113,7 @@
 		log_must compare_xattrs $obj $TESTDIR1/${obj##*/}
 	done
 
-	log_must $RM -rf $TESTDIR/* $TESTDIR1/*
+	log_must rm -rf $TESTDIR/* $TESTDIR1/*
 done
 
-log_pass "'$TAR' command succeeds to support ZFS ACLs."
+log_pass "'tar' command succeeds to support ZFS ACLs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/cleanup.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/cleanup.ksh	Wed Aug 31 16:20:23 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
@@ -32,8 +36,8 @@
 
 # restore the state of svc:/network/nis/client:default
 if [[ -e $NISSTAFILE ]]; then
-    log_must $SVCADM enable svc:/network/nis/client:default
-    log_must $RM -f $NISSTAFILE
+    log_must svcadm enable svc:/network/nis/client:default
+    log_must rm -f $NISSTAFILE
 fi
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/setup.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/setup.ksh	Wed Aug 31 16:20:23 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
@@ -31,10 +35,10 @@
 # check svc:/network/nis/client:default state
 # disable it if the state is ON
 # and the state will be restored during cleanup.ksh
-log_must $RM -f $NISSTAFILE
-if [[ "ON" == $($SVCS -H -o sta svc:/network/nis/client:default) ]]; then
-    log_must $SVCADM disable -t svc:/network/nis/client:default
-    log_must $TOUCH $NISSTAFILE
+log_must rm -f $NISSTAFILE
+if [[ "ON" == $(svcs -H -o sta svc:/network/nis/client:default) ]]; then
+    log_must svcadm disable -t svc:/network/nis/client:default
+    log_must touch $NISSTAFILE
 fi
 
 cleanup_user_group
@@ -54,6 +58,6 @@
 
 DISK=${DISKS%% *}
 default_setup_noexit $DISK
-log_must $CHMOD 777 $TESTDIR
+log_must chmod 777 $TESTDIR
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_aclmode_restricted_001_pos.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_aclmode_restricted_001_pos.ksh	Wed Aug 31 16:20:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Paul B. Henson <henson@acm.org>. All rights reserved.
 #
 
@@ -49,7 +49,7 @@
 function cleanup
 {
 	# reset aclmode=discard
-	log_must $ZFS set aclmode=discard $TESTPOOL/$TESTFS
+	log_must zfs set aclmode=discard $TESTPOOL/$TESTFS
 }
 
 #	"init_map" "options" "expect_map"
@@ -81,14 +81,14 @@
 	typeset -i i=0
 
 	while ((i < ${#argv[@]})); do
-		usr_exec $CHMOD ${argv[i]} $node
+		usr_exec chmod ${argv[i]} $node
 		if (($? != 0)); then
-			log_note "usr_exec $CHMOD ${argv[i]} $node"
+			log_note "usr_exec chmod ${argv[i]} $node"
 			return 1
 		fi
-		usr_exec $CHMOD ${argv[((i + 1))]} $node
+		usr_exec chmod ${argv[((i + 1))]} $node
 		if (($? != 0)); then
-			log_note "usr_exec $CHMOD ${argv[((i + 1))]} $node"
+			log_note "usr_exec chmod ${argv[((i + 1))]} $node"
 			return 1
 		fi
 
@@ -109,21 +109,21 @@
 }
 
 # set aclmode=restricted
-log_must $ZFS set aclmode=restricted $TESTPOOL/$TESTFS
+log_must zfs set aclmode=restricted $TESTPOOL/$TESTFS
 
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
 	# Test file
-	log_must usr_exec $TOUCH $testfile
+	log_must usr_exec touch $testfile
 	log_must test_chmod_mapping $testfile
 
 	# Test directory
-	log_must usr_exec $MKDIR $testdir
+	log_must usr_exec mkdir $testdir
 	log_must test_chmod_mapping $testdir
 
-	log_must usr_exec $RM $testfile
-	log_must usr_exec $RM -rf $testdir
+	log_must usr_exec rm $testfile
+	log_must usr_exec rm -rf $testdir
 done
 
 log_pass "Setting permissions using 'chmod' for aclmode=restricted completed " \
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_chmod_001_pos.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_chmod_001_pos.ksh	Wed Aug 31 16:20:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -51,7 +51,7 @@
 function cleanup
 {
 	# reset aclmode=discard
-	log_must $ZFS set aclmode=discard $TESTPOOL/$TESTFS
+	log_must zfs set aclmode=discard $TESTPOOL/$TESTFS
 }
 
 #	"init_map" "options" "expect_map"
@@ -82,14 +82,14 @@
 	typeset -i i=0
 
 	while ((i < ${#argv[@]})); do
-		usr_exec $CHMOD ${argv[i]} $node
+		usr_exec chmod ${argv[i]} $node
 		if (($? != 0)); then
-			log_note "usr_exec $CHMOD ${argv[i]} $node"
+			log_note "usr_exec chmod ${argv[i]} $node"
 			return 1
 		fi
-		usr_exec $CHMOD ${argv[((i + 1))]} $node
+		usr_exec chmod ${argv[((i + 1))]} $node
 		if (($? != 0)); then
-			log_note "usr_exec $CHMOD ${argv[((i + 1))]} $node"
+			log_note "usr_exec chmod ${argv[((i + 1))]} $node"
 			return 1
 		fi
 
@@ -110,20 +110,20 @@
 }
 
 # set aclmode=passthrough
-log_must $ZFS set aclmode=passthrough $TESTPOOL/$TESTFS
+log_must zfs set aclmode=passthrough $TESTPOOL/$TESTFS
 
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
 	# Test file
-	log_must usr_exec $TOUCH $testfile
+	log_must usr_exec touch $testfile
 	log_must test_chmod_mapping $testfile
-	log_must usr_exec $CHMOD A+user:$ZFS_ACL_STAFF2:write_acl:allow $testfile
+	log_must usr_exec chmod A+user:$ZFS_ACL_STAFF2:write_acl:allow $testfile
 
 	# Test directory
-	log_must usr_exec $MKDIR $testdir
+	log_must usr_exec mkdir $testdir
 	log_must test_chmod_mapping $testdir
-	log_must usr_exec $CHMOD A+user:$ZFS_ACL_STAFF2:write_acl:allow $testdir
+	log_must usr_exec chmod A+user:$ZFS_ACL_STAFF2:write_acl:allow $testdir
 
 	# Grant privileges of write_acl and retest the chmod commands.
 
@@ -133,8 +133,8 @@
 
 	log_must set_cur_usr $user
 
-	log_must usr_exec $RM $testfile
-	log_must usr_exec $RM -rf $testdir
+	log_must usr_exec rm $testfile
+	log_must usr_exec rm -rf $testdir
 done
 
 log_pass "Setting permissions using 'chmod' completed successfully."
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_compress_001_pos.ksh	Wed Aug 31 16:20:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_compress_001_pos.ksh	Wed Aug 31 16:20:23 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -58,9 +62,9 @@
 	log_must create_files $TESTDIR
 
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
-	log_must usr_exec $COMPRESS $INI_DIR/*
-	log_must usr_exec $MV $INI_DIR/* $TST_DIR
-	log_must usr_exec $UNCOMPRESS $TST_DIR/*
+	log_must usr_exec compress $INI_DIR/*
+	log_must usr_exec mv $INI_DIR/* $TST_DIR
+	log_must usr_exec uncompress $TST_DIR/*
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_cp_001_pos.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_cp_001_pos.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -55,12 +59,12 @@
 	log_must create_files $TESTDIR
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
 
-	initfiles=$($LS -R $INI_DIR/*)
+	initfiles=$(ls -R $INI_DIR/*)
 	typeset -i i=0
 	while ((i < NUM_FILE)); do
 		f=$(getitem $i $initfiles)
 
-		usr_exec $CP -@p $f $TST_DIR
+		usr_exec cp -@p $f $TST_DIR
 
 		((i += 1))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_cp_002_neg.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_cp_002_neg.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -49,15 +53,15 @@
 
 	log_must create_files $TESTDIR
 
-	initfiles=$($LS -R $INI_DIR/*)
+	initfiles=$(ls -R $INI_DIR/*)
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
 		typeset f=$(getitem $i $initfiles)
-		usr_exec $CP $f $TST_DIR
+		usr_exec cp $f $TST_DIR
 
-		testfiles=$($LS -R $TST_DIR/*)
+		testfiles=$(ls -R $TST_DIR/*)
 		tf=$(getitem $i $testfiles)
-		ls_attr=$($LS -@ $tf | $AWK '{print substr($1, 11, 1)}')
+		ls_attr=$(ls -@ $tf | awk '{print substr($1, 11, 1)}')
 		if [[ $ls_attr == "@" ]]; then
 			log_fail "cp of attribute should fail without " \
 				"-@ or -p option"
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_cp_003_neg.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_cp_003_neg.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -47,7 +51,7 @@
 
 function test_unreadable_attr
 {
-	typeset initfiles=$($LS -R $INI_DIR/*)
+	typeset initfiles=$(ls -R $INI_DIR/*)
 
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
@@ -55,7 +59,7 @@
 		typeset -i j=0
 		while (( j < NUM_ATTR )); do
 			# chmod all the attribute files to '000'.
-			usr_exec $RUNAT $f $CHMOD 000 attribute.$j
+			usr_exec runat $f chmod 000 attribute.$j
 
 			(( j += 1 ))
 		done
@@ -64,12 +68,12 @@
 		# Implement 'cp -@p' to the file whose attribute files
 		# models are '000'.
 		#
-		usr_exec $CP -@p $f $TST_DIR > /dev/null 2>&1
+		usr_exec cp -@p $f $TST_DIR > /dev/null 2>&1
 
-		typeset testfiles=$($LS -R $TST_DIR/*)
+		typeset testfiles=$(ls -R $TST_DIR/*)
 		typeset tf=$(getitem $i $testfiles)
-		typeset ls_attr=$(usr_exec $LS -@ $tf | \
-			$AWK '{print substr($1, 11, 1)}')
+		typeset ls_attr=$(usr_exec ls -@ $tf | \
+			awk '{print substr($1, 11, 1)}')
 
 		case $ZFS_ACL_CUR_USER in
 		root)
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_find_001_pos.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_find_001_pos.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -48,12 +52,12 @@
 	log_must set_cur_usr $user
 
 	log_must create_files $TESTDIR
-	initfiles=$($LS -R $INI_DIR/*)
+	initfiles=$(ls -R $INI_DIR/*)
 
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
 		f=$(getitem $i $initfiles)
-		ff=$(usr_exec $FIND $INI_DIR -type f -name ${f##*/} \
+		ff=$(usr_exec find $INI_DIR -type f -name ${f##*/} \
 			-xattr -print)
 		if [[ $ff != $f ]]; then
 			log_fail "find file containing attribute fail."
@@ -64,7 +68,7 @@
 		typeset -i j=0
 		while (( j < NUM_ATTR )); do
 			typeset af=attribute.$j
-			fa=$(usr_exec $FIND $INI_DIR -type f -name ${f##*/} \
+			fa=$(usr_exec find $INI_DIR -type f -name ${f##*/} \
 				-xattr -exec runat {} ls $af \\\;)
 			if [[ $fa != $af ]]; then
 				log_fail "find file attribute fail"
